> For the complete documentation index, see [llms.txt](https://docs.copra.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.copra.finance/v1/for-protocols.md).

# For Protocols

## Use Cases

### Grow TVL

Protocols often have volatile yields and complex strategies hence hard to attract TVL, having to resort to token emission that attracts mercenary capitals.

With Copra, depositors can instead get fixed-yield and principal-protection, helping protocols accumulate TVL effectively.

### Leverage Own Yield Strategies

Many protocols are confident in their own yield strategies (as they understand them best) and deploy their treasury capital to generate income.

Copra helps protocols do that in a scalable way by earning the spread between fixed-cost debt and the yield generated.

### Alleviate Liquidity Bottlenecks

Some protocols intrinsically have pools lacking in liquidity which can act as bottlenecks to overall protocol growth. Liquidity raised through protocol debt could be used to relieve these specific bottlenecks.

### Reduce Reliance on Token Emission

Compared to token-based liquidity mining which mainly attracts mercenary capitals that will exploit the token reward and leave immediately once it's exhausted, raising liquidity via fixed-yield Copra vault is an efficient and sustainable alternative to promote protocol growth.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.copra.finance/v1/for-protocols.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
